package nl.kallestruik.riseofblocks;

import com.mojang.logging.LogUtils;
import net.neoforged.bus.api.IEventBus;
import net.neoforged.fml.ModContainer;
import net.neoforged.fml.common.Mod;
import nl.kallestruik.riseofblocks.registry.BlockEntityRegistry;
import nl.kallestruik.riseofblocks.registry.BlockRegistry;
import nl.kallestruik.riseofblocks.registry.CreativeTabRegistry;
import nl.kallestruik.riseofblocks.registry.ItemRegistry;
import org.slf4j.Logger;

// The value here should match an entry in the META-INF/neoforge.mods.toml file
@Mod(RiseOfBlocks.MODID)
public class RiseOfBlocks {
    // Define mod id in a common place for everything to reference
    public static final String MODID = "riseofblocks";
    // Directly reference a slf4j logger
    public static final Logger LOGGER = LogUtils.getLogger();

    public RiseOfBlocks(IEventBus modEventBus, ModContainer modContainer) {
        // Load blast resistance override config
        BlastResistanceOverrideConfig.load();

        BlockRegistry.BLOCKS.register(modEventBus);
        ItemRegistry.ITEMS.register(modEventBus);
        CreativeTabRegistry.CREATIVE_MODE_TABS.register(modEventBus);
        BlockEntityRegistry.BLOCK_ENTITY_TYPES.register(modEventBus);
    }
}
