package nl.kallestruik.riseofblocks.blockentities;

import net.minecraft.core.BlockPos;
import net.minecraft.core.HolderLookup;
import net.minecraft.nbt.CompoundTag;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockState;
import nl.kallestruik.riseofblocks.registry.BlockEntityRegistry;
import org.jetbrains.annotations.NotNull;

public class FlagBlockEntity extends BlockEntity {
    private String teamName;

    public FlagBlockEntity(BlockPos pos, BlockState blockState) {
        super(BlockEntityRegistry.FLAG.get(), pos, blockState);
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
        setChanged();
    }

    public String getTeamName() {
        return teamName;
    }

    // Read values from the passed CompoundTag here.
    @Override
    public void loadAdditional(@NotNull CompoundTag tag, HolderLookup.@NotNull Provider registries) {
        super.loadAdditional(tag, registries);
        this.teamName = tag.getString("team");
    }

    // Save values into the passed CompoundTag here.
    @Override
    public void saveAdditional(@NotNull CompoundTag tag, HolderLookup.@NotNull Provider registries) {
        super.saveAdditional(tag, registries);
        if (this.teamName == null) return;
        tag.putString("team", this.teamName);
    }
}
