package nl.kallestruik.riseofblocks.registry;

import net.minecraft.core.registries.Registries;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.CreativeModeTabs;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.registries.DeferredRegister;
import nl.kallestruik.riseofblocks.RiseOfBlocks;

public class CreativeTabRegistry {
    public static final DeferredRegister<CreativeModeTab> CREATIVE_MODE_TABS = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, RiseOfBlocks.MODID);

    public static final DeferredHolder<CreativeModeTab, CreativeModeTab> RISE_OF_BLOCKS_TAB = CREATIVE_MODE_TABS.register("rise_of_blocks", () -> CreativeModeTab.builder()
            .title(Component.translatable("itemGroup.riseofblocks")) //The language key for the title of your CreativeModeTab
            .withTabsBefore(CreativeModeTabs.COMBAT)
            .icon(() -> ItemRegistry.FLAG.get().getDefaultInstance())
            .displayItems((parameters, output) -> {
                output.accept(ItemRegistry.FLAG.get()); // Add the example item to the tab. For your own tabs, this method is preferred over the event
            }).build());
}
